# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
inherit go-module

DESCRIPTION="consul backup and restore utility"
HOMEPAGE="https://github.com/myENA/consul-backinator"

EGO_SUM=(
	"cloud.google.com/go v0.24.1-0.20180628163445-75763d24f380"
	"cloud.google.com/go v0.24.1-0.20180628163445-75763d24f380/go.mod"
	"github.com/Azure/azure-sdk-for-go v17.4.0+incompatible"
	"github.com/Azure/azure-sdk-for-go v17.4.0+incompatible/go.mod"
	"github.com/Azure/go-autorest v10.11.4+incompatible"
	"github.com/Azure/go-autorest v10.11.4+incompatible/go.mod"
	"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
	"github.com/armon/go-metrics v0.0.0-20180620213357-58588f401c2c"
	"github.com/armon/go-metrics v0.0.0-20180620213357-58588f401c2c/go.mod"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
	"github.com/armon/go-radix v0.0.0-20170727155443-1fca145dffbc"
	"github.com/armon/go-radix v0.0.0-20170727155443-1fca145dffbc/go.mod"
	"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
	"github.com/armon/go-radix v1.0.0"
	"github.com/armon/go-radix v1.0.0/go.mod"
	"github.com/aws/aws-sdk-go v1.14.14"
	"github.com/aws/aws-sdk-go v1.14.14/go.mod"
	"github.com/bgentry/speakeasy v0.1.0"
	"github.com/bgentry/speakeasy v0.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/denverdino/aliyungo v0.0.0-20180626151132-3f1df87ed446"
	"github.com/denverdino/aliyungo v0.0.0-20180626151132-3f1df87ed446/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/digitalocean/godo v1.3.1-0.20180606193730-a3505618b6f4"
	"github.com/digitalocean/godo v1.3.1-0.20180606193730-a3505618b6f4/go.mod"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/fatih/color v1.7.1-0.20180516100307-2d684516a886"
	"github.com/fatih/color v1.7.1-0.20180516100307-2d684516a886/go.mod"
	"github.com/fatih/color v1.9.0"
	"github.com/fatih/color v1.9.0/go.mod"
	"github.com/go-ini/ini v1.37.1-0.20180615003539-cec2bdc49009"
	"github.com/go-ini/ini v1.37.1-0.20180615003539-cec2bdc49009/go.mod"
	"github.com/golang/protobuf v0.0.0-20160829194233-1f49d83d9aa0"
	"github.com/golang/protobuf v0.0.0-20160829194233-1f49d83d9aa0/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/go-querystring v0.0.0-20170111101155-53e6ce116135"
	"github.com/google/go-querystring v0.0.0-20170111101155-53e6ce116135/go.mod"
	"github.com/gophercloud/gophercloud v0.0.0-20180626021939-19abc56a8cd8"
	"github.com/gophercloud/gophercloud v0.0.0-20180626021939-19abc56a8cd8/go.mod"
	"github.com/hashicorp/consul v1.2.0"
	"github.com/hashicorp/consul v1.2.0/go.mod"
	"github.com/hashicorp/consul v1.9.0"
	"github.com/hashicorp/consul/api v1.8.0"
	"github.com/hashicorp/consul/api v1.8.0/go.mod"
	"github.com/hashicorp/consul/sdk v0.7.0"
	"github.com/hashicorp/consul/sdk v0.7.0/go.mod"
	"github.com/hashicorp/errwrap v0.0.0-20141028054710-7554cd9344ce"
	"github.com/hashicorp/errwrap v0.0.0-20141028054710-7554cd9344ce/go.mod"
	"github.com/hashicorp/errwrap v1.0.0"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.0.0-20171218145408-d5fe4b57a186"
	"github.com/hashicorp/go-cleanhttp v0.0.0-20171218145408-d5fe4b57a186/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.1"
	"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
	"github.com/hashicorp/go-discover v0.0.0-20180607142956-283c00e7695d"
	"github.com/hashicorp/go-discover v0.0.0-20180607142956-283c00e7695d/go.mod"
	"github.com/hashicorp/go-hclog v0.12.0"
	"github.com/hashicorp/go-hclog v0.12.0/go.mod"
	"github.com/hashicorp/go-immutable-radix v0.0.0-20180129170900-7f3cd4390caa"
	"github.com/hashicorp/go-immutable-radix v0.0.0-20180129170900-7f3cd4390caa/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.0.0"
	"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
	"github.com/hashicorp/go-multierror v0.0.0-20171204182908-b7773ae21874"
	"github.com/hashicorp/go-multierror v0.0.0-20171204182908-b7773ae21874/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.0"
	"github.com/hashicorp/go-multierror v1.1.0/go.mod"
	"github.com/hashicorp/go-rootcerts v0.0.0-20160503143440-6bb64b370b90"
	"github.com/hashicorp/go-rootcerts v0.0.0-20160503143440-6bb64b370b90/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.2"
	"github.com/hashicorp/go-rootcerts v1.0.2/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
	"github.com/hashicorp/go-syslog v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v0.0.0-20180228145832-27454136f036"
	"github.com/hashicorp/go-uuid v0.0.0-20180228145832-27454136f036/go.mod"
	"github.com/hashicorp/go-uuid v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.1"
	"github.com/hashicorp/go-uuid v1.0.1/go.mod"
	"github.com/hashicorp/golang-lru v0.0.0-20180201235237-0fb14efe8c47"
	"github.com/hashicorp/golang-lru v0.0.0-20180201235237-0fb14efe8c47/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/logutils v1.0.0/go.mod"
	"github.com/hashicorp/mdns v1.0.1/go.mod"
	"github.com/hashicorp/memberlist v0.2.2/go.mod"
	"github.com/hashicorp/serf v0.8.2-0.20180530155958-984a73625de3"
	"github.com/hashicorp/serf v0.8.2-0.20180530155958-984a73625de3/go.mod"
	"github.com/hashicorp/serf v0.9.5"
	"github.com/hashicorp/serf v0.9.5/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
	"github.com/joyent/triton-go v0.0.0-20180628001255-830d2b111e62"
	"github.com/joyent/triton-go v0.0.0-20180628001255-830d2b111e62/go.mod"
	"github.com/kr/pretty v0.2.0/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-colorable v0.1.0"
	"github.com/mattn/go-colorable v0.1.0/go.mod"
	"github.com/mattn/go-colorable v0.1.4/go.mod"
	"github.com/mattn/go-colorable v0.1.6"
	"github.com/mattn/go-colorable v0.1.6/go.mod"
	"github.com/mattn/go-isatty v0.0.3/go.mod"
	"github.com/mattn/go-isatty v0.0.4"
	"github.com/mattn/go-isatty v0.0.4/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.10/go.mod"
	"github.com/mattn/go-isatty v0.0.11/go.mod"
	"github.com/mattn/go-isatty v0.0.12"
	"github.com/mattn/go-isatty v0.0.12/go.mod"
	"github.com/miekg/dns v1.0.14/go.mod"
	"github.com/miekg/dns v1.1.26/go.mod"
	"github.com/mitchellh/cli v0.0.0-20180414170447-c48282d14eba"
	"github.com/mitchellh/cli v0.0.0-20180414170447-c48282d14eba/go.mod"
	"github.com/mitchellh/cli v1.1.0"
	"github.com/mitchellh/cli v1.1.0/go.mod"
	"github.com/mitchellh/go-homedir v0.0.0-20180523094522-3864e76763d9"
	"github.com/mitchellh/go-homedir v0.0.0-20180523094522-3864e76763d9/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-testing-interface v0.0.0-20171004221916-a61a99592b77"
	"github.com/mitchellh/go-testing-interface v0.0.0-20171004221916-a61a99592b77/go.mod"
	"github.com/mitchellh/go-testing-interface v1.0.0"
	"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
	"github.com/mitchellh/mapstructure v0.0.0-20180511142126-bb74f1db0675"
	"github.com/mitchellh/mapstructure v0.0.0-20180511142126-bb74f1db0675/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/nicolai86/scaleway-sdk v1.10.2-0.20170917185750-33df10cad9ff"
	"github.com/nicolai86/scaleway-sdk v1.10.2-0.20170917185750-33df10cad9ff/go.mod"
	"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
	"github.com/pkg/errors v0.8.1-0.20170505043639-c605e284fe17"
	"github.com/pkg/errors v0.8.1-0.20170505043639-c605e284fe17/go.mod"
	"github.com/pkg/errors v0.8.1"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/posener/complete v1.1.1/go.mod"
	"github.com/posener/complete v1.1.2-0.20180413091813-e037c22b2fcf"
	"github.com/posener/complete v1.1.2-0.20180413091813-e037c22b2fcf/go.mod"
	"github.com/posener/complete v1.2.3"
	"github.com/posener/complete v1.2.3/go.mod"
	"github.com/renier/xmlrpc v0.0.0-20170708154548-ce4a1a486c03"
	"github.com/renier/xmlrpc v0.0.0-20170708154548-ce4a1a486c03/go.mod"
	"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
	"github.com/sirupsen/logrus v1.7.0"
	"github.com/sirupsen/logrus v1.7.0/go.mod"
	"github.com/softlayer/softlayer-go v0.0.0-20180627132442-3aaf70665e74"
	"github.com/softlayer/softlayer-go v0.0.0-20180627132442-3aaf70665e74/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.6.1"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/tent/http-link-go v0.0.0-20130702225549-ac974c61c2f9"
	"github.com/tent/http-link-go v0.0.0-20130702225549-ac974c61c2f9/go.mod"
	"github.com/vmware/govmomi v0.17.1"
	"github.com/vmware/govmomi v0.17.1/go.mod"
	"github.com/vmware/vic v1.5.0-dev.0.20180628012636-fddf519e4fb8"
	"github.com/vmware/vic v1.5.0-dev.0.20180628012636-fddf519e4fb8/go.mod"
	"golang.org/x/crypto v0.0.0-20170307004051-728b753d0135"
	"golang.org/x/crypto v0.0.0-20170307004051-728b753d0135/go.mod"
	"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190923035154-9ee001bba392"
	"golang.org/x/crypto v0.0.0-20190923035154-9ee001bba392/go.mod"
	"golang.org/x/net v0.0.0-20180301190904-22ae77b79946"
	"golang.org/x/net v0.0.0-20180301190904-22ae77b79946/go.mod"
	"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190923162816-aa69164e4478"
	"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
	"golang.org/x/oauth2 v0.0.0-20170313201147-1611bb46e67a"
	"golang.org/x/oauth2 v0.0.0-20170313201147-1611bb46e67a/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sys v0.0.0-20170803140359-d8f5ea21b929"
	"golang.org/x/sys v0.0.0-20170803140359-d8f5ea21b929/go.mod"
	"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
	"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190922100055-0a153f010e69/go.mod"
	"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
	"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
	"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
	"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae"
	"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
	"golang.org/x/text v0.0.0-20170303005346-f28f36722d5e"
	"golang.org/x/text v0.0.0-20170303005346-f28f36722d5e/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.2"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20190907020128-2ca718005c18/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"google.golang.org/api v0.0.0-20170125213714-dfa61ae24628"
	"google.golang.org/api v0.0.0-20170125213714-dfa61ae24628/go.mod"
	"google.golang.org/appengine v1.0.1-0.20161115221414-ca59ef35f409"
	"google.golang.org/appengine v1.0.1-0.20161115221414-ca59ef35f409/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.8/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	)
go-module_set_globals
SRC_URI="https://github.com/myENA/consul-backinator/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="MPL-2.0"
SLOT="0"
KEYWORDS="~amd64"

src_compile() {
	CGO_ENABLED=0 go build -o "${PN}" \
		-ldflags="-X main.appVersion=${PV}" . || die
}

src_install() {
	dobin ${PN}
	dodoc *.md
}
